/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.fachstelle.kommentar;

import static org.springframework.hateoas.server.mvc.WebMvcLinkBuilder.*;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import de.ozgcloud.fachstelle.command.CommandController;

@RestController
@RequestMapping(KommentarCommandController.PATH)
public class KommentarCommandController {

	static final String PATH = "/api/kommentars/{kommentarId}/{kommentarVersion}/commands"; // NOSONAR

	@PostMapping()
	public ResponseEntity<Void> editKommentar(@PathVariable String kommentarId, @PathVariable long kommentarVersion) {
		return ResponseEntity.created(linkTo(CommandController.class).slash("TestCommandId").toUri()).build();
	}

	@RestController
	@RequestMapping(KommentarCommandByVorgangController.PATH)
	public static class KommentarCommandByVorgangController {

		static final String PATH = "/api/vorgangs/{vorgangId}/kommentarCommands"; // NOSONAR

		@PostMapping()
		public ResponseEntity<Void> createKommentar(@PathVariable String vorgangId) {
			return ResponseEntity.created(linkTo(CommandController.class).slash("TestCommandId").toUri()).build();
		}

	}

}