/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.fachstelle.registration;

import org.mapstruct.Mapper;
import org.mapstruct.Mapping;

import de.ozgcloud.fachstelle.proxy.FachstellenproxyGrpcFachstelleRegistrationRequest;
import de.ozgcloud.fachstelle.security.User;

@Mapper
interface FachstelleRegistrationRequestMapper {
	@Mapping(target = "mukId", source = "id")
	@Mapping(target = "firmenName", source = "companyName")
	@Mapping(target = "rechtsform", source = "legalForm")
	@Mapping(target = "rechtsformText", source = "legalFormText")
	@Mapping(target = "registerNummer", source = "registerNumber")
	@Mapping(target = "registerArt", source = "registerType")
	@Mapping(target = "emailAdresse", source = "emailAddress")
	@Mapping(target = "anschrift", source = "address")
	FachstellenproxyGrpcFachstelleRegistrationRequest toFachstelleRegistrationRequest(User user);
}