/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.fachstelle;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.TestPropertySource;
import org.springframework.test.context.junit4.SpringRunner;

@RunWith(SpringRunner.class)
@SpringBootTest(classes = { FachstellenProperties.class })
@TestPropertySource(properties = {
  "ozgcloud.fachstelle.logout-success-url=http://logout",
  "ozgcloud.fachstelle.login-redirect-url=http://login",
  "ozgcloud.fachstelle.cors=http://login;http://saml-idp",
})
class FachstellenPropertiesITCase {

	@Autowired
	private FachstellenProperties properties;

	@Test
	void shouldHaveProperties() {
		assertThat(properties).isNotNull();
	}

	@Test
	void shouldHaveLogoutUrl() {
		assertThat(properties.getLogoutSuccessUrl()).isNotNull();
	}

	@Test
	void shouldHaveLoginUrl() {
		assertThat(properties.getLoginRedirectUrl()).isNotNull();
	}

	@Test
	void shouldHaveCors() {
		assertThat(properties.getCors()).isNotNull();
	}

}