/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.fachstelle.kommentar;

import java.time.ZonedDateTime;
import java.util.List;
import java.util.UUID;

import de.ozgcloud.apilib.file.OzgCloudFileId;
import de.ozgcloud.fachstelle.attachment.OzgFileTestFactory;

public class KommentarTestFactory {

	public static final String ID = UUID.randomUUID().toString();
	public static final int VERSION = 1;
	public static final String VORGANG_ID = UUID.randomUUID().toString();
	public static final ZonedDateTime CREATED_AT = ZonedDateTime.now();
	public static final String CREATED_BY = "TestName";
	public static final String TEXT = "TestText";
	public static final List<OzgCloudFileId> ATTACHMENTS = List.of(OzgFileTestFactory.ID);

	public static Kommentar create() {
		return createBuilder().build();
	}

	public static Kommentar.KommentarBuilder createBuilder() {
		return Kommentar.builder()
		  .id(ID)
		  .version(VERSION)
		  .vorgangId(VORGANG_ID)
		  .createdAt(CREATED_AT)
		  .createdBy(CREATED_BY)
		  .text(TEXT)
		  .attachments(ATTACHMENTS);
	}

}