/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.fachstelle.vorgang;

public class AntragstellerTestFactory {

	public static final String FIRMA_NAME = "TestFirma";
	public static final String ANREDE = "Herr";
	public static final String NACHNAME = "Mustermann";
	public static final String VORNAME = "Max";
	public static final String GEBURTSDATUM = "1990-01-01";
	public static final String GEBURTSORT = "TestStadt";
	public static final String GEBURTSNAME = "Muster";
	public static final String EMAIL = "max.mustermann@test.de";
	public static final String TELEFON = "0123456789";
	public static final String STRASSE = "TestStraße";
	public static final String HAUSNUMMER = "1";
	public static final String PLZ = "12345";
	public static final String ORT = "TestOrt";

	public static Antragsteller create() {
		return createBuilder().build();
	}

	public static Antragsteller.AntragstellerBuilder createBuilder() {
		return Antragsteller.builder()
		  .firmaName(FIRMA_NAME)
		  .anrede(ANREDE)
		  .nachname(NACHNAME)
		  .vorname(VORNAME)
		  .geburtsdatum(GEBURTSDATUM)
		  .geburtsort(GEBURTSORT)
		  .geburtsname(GEBURTSNAME)
		  .email(EMAIL)
		  .telefon(TELEFON)
		  .strasse(STRASSE)
		  .hausnummer(HAUSNUMMER)
		  .plz(PLZ)
		  .ort(ORT);
	}

}